# $Revision: 1.8 $, $Date: 2004/10/30 10:55:53 $
%define		_rnam xmms-jack
Summary:	JACK output plugin for XMMS
Summary(pl):	Wtyczka wyjciowa dla XMMS-a odtwarzajca dwik przez JACK-a
Name:		xmms-output-jack
Version:	0.10
Release:	1
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/xmms-jack/%{_rnam}-%{version}.tar.gz
# Source0-md5:	40ab4a8c5929eda9c6547faa624686c7
URL:		http://xmms-jack.sf.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libtool
BuildRequires:	xmms-devel >= 1.2.7
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows XMMS to play sounds though JACK.

%description -l pl
Ta wtyczka pozwala XMMS-owi odtwarza muzyk poprzez JACK-a.

%prep
%setup -qn %{_rnam}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{xmms_output_plugindir}

rm -f $RPM_BUILD_ROOT%{xmms_output_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{xmms_output_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-jack.spec,v $
Revision 1.8  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.7  2004/09/13 21:38:37  paszczus
- updated to 0.10

Revision 1.6  2004/08/25 04:01:25  ankry
- pl fixes

Revision 1.5  2004/05/12 17:31:00  freetz
- 0.9 (tested with gcc 3.4 - safe)

Revision 1.4  2004/03/24 00:32:27  freetz
- 0.8.1

Revision 1.3  2004/02/16 21:54:26  freetz
- switched to dl.sf.net and brand new 0.8 version

Revision 1.2  2004/01/19 23:43:16  qboosh
- killed unused .*.la, BR: ac,am,lt

Revision 1.1  2004/01/19 12:15:12  freetz
- initial PLD release
